import type { NextConfig } from "next";

const nextConfig: NextConfig = {
  output: 'standalone',
  experimental: {
    //outputFileTracingRoot: undefined, // Helps with Docker builds
  },
  env: {
    NEXT_PUBLIC_API_CORE_URL: process.env.NEXT_PUBLIC_API_CORE_URL,
  },
  /* config options here */
};



export default nextConfig;
